无忧网络

LNMP1.4下如何升级 Memcached 到最新版?

LNMP 1.4 里内置的是 Memcached 1.4.36 版本,而 Memcached 官方网站已经更新到 1.5.0 版了。具体升级 Memcached 到最新版 1.5.0 步骤如下:

1、修改 lnmp1.4/include/version.sh 里的 Memcached_Ver 的版本号为你要升级到的版本号,这里我填的是 1.5.0。

2、将 include/memcached.sh 中下面这几行

  1. if [ -s /usr/local/memcached/bin/memcached ]; then
  2.         echo "Memcached already exists."
  3.     else

  1. useradd -s /sbin/nologin nobody

后面的 fi 删掉后再进行下面的升级 memcached。

3、将你自己需要的版本的 memcached 下载到 src 目录下,运行

  1. ./addons.sh install memcached

安装编译即可。

 Memcached 1.5.0 下载地址列表

PS:在 version.sh 里包括了很多 LNMP 模块的版本号的,所以举一反三就知道如何升级这些模块了。

赞 ()
分享到:更多 ()

相关推荐

留言与评论(共有 0 条评论)
   
验证码: